Skip to main content
GET
Get

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-11-04.everglades"

Path Parameters

user_id
string
required

The unique identifier of the user.

Example:

"usr_123"

Response

200 - application/json

Successfully retrieved the user.

object
enum<string>
required

The object type, which is always user.

Available options:
user
Example:

"user"

email
string
required

The email address of the user.

Example:

"jane@example.com"

first_name
string
required

The first name of the user.

Example:

"Jane"

last_name
string
required

The last name of the user.

Example:

"Doe"

avatar_url
string | null
required

The URL of the user's avatar image.

Example:

"https://example.com/avatar.png"

id
string
required

ID of the user. Attribution fields such as created_by_id can also hold an API key's or a device's principal ID, which doesn't resolve to a user.

Example:

"usr_123"

status
enum<string>
required

The user's membership status.

Available options:
active,
left,
suspended
created_at
string<date-time>
required

Timestamp of when the user was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the user was last updated.

Example:

"2021-01-01T00:00:00Z"